Skip to main content
POST
/
v1
/
bot
/
heartbeat
/
trigger
Trigger Heartbeat
curl --request POST \
  --url https://api.boostgpt.co/v1/bot/heartbeat/trigger \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "project_id": "<string>",
  "bot_id": "<string>",
  "heartbeat_id": "<string>"
}
'
import requests

url = "https://api.boostgpt.co/v1/bot/heartbeat/trigger"

payload = {
"project_id": "<string>",
"bot_id": "<string>",
"heartbeat_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({project_id: '<string>', bot_id: '<string>', heartbeat_id: '<string>'})
};

fetch('https://api.boostgpt.co/v1/bot/heartbeat/trigger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "result": {
    "response": "<string>",
    "duration_ms": 123,
    "tokens_used": 123,
    "credits_charged": 123
  }
}
{
"error": "<string>",
"code": "<string>"
}
{
"error": "<string>",
"code": "<string>"
}

Authorizations

Authorization
string
header
required

Enter your API key

Body

application/json
project_id
string
required

Project ID

bot_id
string
required

Agent ID

heartbeat_id
string
required

Heartbeat UUID

Response

Heartbeat execution result

result
object